> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/fr/powershell-commands/get-dsuserlicense.md).

# Get-DSUserLicense

### Synopsis

Obtenir toutes les attributions d'une licence spécifique

### Syntaxe

#### InputObject

```
Get-DSUserLicense -InputObject <PSLicenseInfo> [-AsLegacyResponse] [<CommonParameters>]
```

#### GetByID

```
Get-DSUserLicense -Serial <string> [-AsLegacyResponse] [<CommonParameters>]
```

### Description

Obtenir toutes les attributions d'une licence spécifique. Pour attribuer une licence, modifiez le champ IsMember de l'utilisateur souhaité. Une fois les modifications effectuées, utilisez la cmdlet Set-DSUserLicense.

### Exemples

#### Exemple 1

```powershell
PS C:\> $assignResponse = Get-DSUserLicense -Serial XXXXX-XXXXX-XXXXX-XXXXX-XXXXX
        $assignments = $assignResponse.Data
        $asssignments | Where -Property IsMember -eq $true | Select Name, UserId
```

Obtenir tous les utilisateurs auxquels la licence « XXXXX-XXXXX-XXXXX-XXXXX-XXXXX » a été attribuée

#### Exemple 2

```powershell
PS C:\> $AsLegacyResponse = $true
        $licResponse = Get-DSLicence;
        $license = $licRespones.Data | Where -Property License -like XXXXX* | Select -First 1
        $assignResponse = Get-DSUserLicense -InputObject $license
        $assignments = $assignResponse.Data
        $aUserAssignment = $asssignments | Where Name -eq 'Name of the user to assign'
        $aUserAssignment.IsMember = $true
        Set-DSUserLicense -InputObject $aUserAssignment
```

Attribuer la licence commençant par XXXXX à l'utilisateur « Name of the user to assign »

### Paramètres

#### -AsLegacyResponse

Dans les versions antérieures à 2024.2, de nombreuses cmdlets DS retournaient un objet ServerResponse. L'activation de ce commutateur de compatibilité descendante permet aux scripts développés pour les versions antérieures de fonctionner correctement.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -InputObject

Attributions de licences utilisateur pour ce numéro de série spécifique

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSLicenseInfo
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: InputObject
  Position: Named
  IsRequired: true
  ValueFromPipeline: true
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Serial

Attributions de licences utilisateur pour ce numéro de série spécifique

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: GetByID
  Position: Named
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Cette cmdlet prend en charge les paramètres communs : -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction et -WarningVariable. Pour plus d'informations, voir [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Entrées

#### RemoteDesktopManager.PowerShellModule.PSOutputObject.PSLicenseInfo

Objet de licence obtenu à partir du champ de données de la réponse Get-DSLicense

### Notes

Pour plus d'informations, tapez « Get-Help Get-DSUserLicense -detailed ». Pour les informations techniques, tapez « Get-Help Get-DSUserLicense -full ».


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.devolutions.net/powershell/fr/powershell-commands/get-dsuserlicense.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
